//Patriche Robert Cosmin
#include <iostream>
#include <cstdlib>
#include <ctime>
using namespace std;

double calcolaMediaMultipli17(int arr[], int size);

int main() {
    const int DIM = 15;
    int numeri[DIM];
    srand(time(0));
    
    cout << "Array: ";
    for (int i = 0; i < DIM; i++) {
        numeri[i] = rand() % 100 + 1;
        cout << numeri[i] << " ";
    }
    cout << endl;
    
    double media = calcolaMediaMultipli17(numeri, DIM);
    if (media == -1)
        cout << "Non ci sono multipli di 17." << endl;
    else
        cout << "Media dei multipli di 17: " << media << endl;

    return 0;
}

double calcolaMediaMultipli17(int arr[], int size) {
    int somma = 0, count = 0;
    for (int i = 0; i < size; i++) {
        if (arr[i] % 17 == 0) {
            somma += arr[i];
            count++;
        }
    }
    if (count == 0) return -1; // Nessun multiplo di 17
    return somma / count;
}
